Page MenuHomePhabricator

Download as PDF: Rendering failed with non zero code
Closed, ResolvedPublic

Description

  1. Go to https://de.wikipedia.org/wiki/Italien?uselang=en
  2. Klick at "Download as PDF"
  3. Error:
Rendering failed

Generation of the document file has failed.

Status: Rendering process died with non zero code: 1

Return to Italien

Related Objects

Event Timeline

Steinsplitter raised the priority of this task from to Normal.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added subscribers: Steinsplitter, Krd.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 28 2015, 6:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr set Security to None.
Aklapper renamed this task from Download as PDF: Rendering failed to Download as PDF: Rendering failed for "Italien" article on dewiki.Apr 29 2015, 8:17 AM
Mdann52 raised the priority of this task from Normal to Unbreak Now!.May 9 2015, 7:57 PM

This appears to be a major issue, affecting several people per day going through the OTRS queues. This is clearly a major issue affecting lots of people, and needs to be looked into ASAP. If anyone needs more articles involved, I will happily provide them.

Mdann52 renamed this task from Download as PDF: Rendering failed for "Italien" article on dewiki to Download as PDF: Rendering failed with non zero code.May 10 2015, 6:44 AM
Mdann52 added subscribers: ssastry, X201, Reinhard_Kraasch and 19 others.
TTO added a subscriber: TTO.May 10 2015, 7:41 AM

Unfortunately no-one is working on OCG stuff at the moment. I wish WMF would second someone for a few months to deal with all the OCG issues...

Nemo_bis lowered the priority of this task from Unbreak Now! to Normal.May 11 2015, 5:41 AM

@Mdann52, did you verify that the reports you merged did not have more specific information? Each root cause needs to have its own report, this one is not going to produce any meaningful work because it's a given that OCG (the current PDF export) works only on a subset of our content.

Perhaps the first step here should be to improve error reporting: does OCG know something more specific about failures and is there a way to relay that back to the Collection extension? TTO?

Krenair added a comment.EditedMay 11 2015, 4:48 PM

Perhaps the first step here should be to improve error reporting: does OCG know something more specific about failures and is there a way to relay that back to the Collection extension? TTO?

You can run OCG locally from the command line to reproduce all of the ones I've seen so far (and you get the actual error messages etc. in the process), and production logs showing the same things are browsable by anyone with logstash access (LDAP nda+ops+wmf)

So we should hope in a chivalrous log digger? Do those error messages contain anything sensitive that should not be relayed to users?

Nick added a subscriber: Nick.EditedMay 13 2015, 10:22 AM

The article [[JavaScript]] was reported to be suffering from this behaviour. The error can be reproduced when the following snippet of code is present

<small>{{Version |l | show=110100}}</small>

and eliminated by removing the <small></small> tags, i.e rendering finishes correctly with the following snippet of code.

{{Version |l | show=110100}}

This isn't the cause of issues on other pages.

Thanks! Worth filing separately.

Nick added a comment.May 13 2015, 2:18 PM
[[File:Ueber die Anzahl der Primzahlen unter einer gegebenen Grösse.pdf|thumb|Bernhard Riemann's article on the number of primes below a given magnitude.]]

is confirmed as the cause of the failure on https://en.wikipedia.org/wiki/Riemann_zeta_function - as above, rendering fails when that line of markup is present and rendering finishes correctly with the line of markup removed. The error can be replicated regardless of the PDF file used or the way it's framed within the page (thumb etc).

Nick added a comment.May 13 2015, 4:24 PM

https://en.wikipedia.org/wiki/House_of_Plantagenet is breaking as a result of nested lists, and looks to be a LaTeX related error.

Anything nested below 11 levels (using the following code) breaks and returns the error.

:::::::::::

On House of Plantagenet, in the Further Information section, under "List of members of the House of Plantagenet (all male and some significant females)" there are nesting down to 13 levels (i.e prefixed by :::::::::::::).

Nick added a comment.May 14 2015, 12:00 AM

Did a bit more work using https://en.wikipedia.org/wiki/Tenerife and from what little I can gather, it's possibly some sort of layout issue. Splitting the page up into sections, the following images prevent rendering and return the error code.

[[File:Auditorio de Tenerife 013.JPG|thumb|250px|[[Auditorio de Tenerife]], icon of architecture in Canary Islands<ref>[http://www.treklens.com/gallery/Europe/Spain/Madrid/Madrid/Mostoles/photo370327.htm Auditorio Tenerife, information (in Spanish)]</ref>]]
[[File:Hospital Universitario de Canarias.png|thumb|right|300px|[[Hospital Universitario de Canarias]]]]

but taking what are Sections 12 to 18 (containing those two images) and creating a separate page composed just of those sections, rendering completes correctly and a correctly formatted PDF file can be downloaded. The only thing in common all of the causes I've found today have would be they determine the position and style of the text and images within the completed PDF file.

As per T74002#1269612:
@cscott: Any vague timeframe when this could be investigated? Should this task be assigned to you?

@Nick How are you getting these error messages? Also, does anyone know how to get access to the logs, so I can at least diagnose the issues?

@Mdann52 You can reproduce a lot of these errors by running OCG locally, or you can pull errors from https://logstash.wikimedia.org if you're in the NDA LDAP group

YMS added a comment.Jul 29 2015, 4:09 PM

As T74552 has been merged with this, I'd like to repeat the information that not only the contents of the articles may cause problems, but the same article might be able to be exported with a two-columns layout but not with a one-column one (e.g. https://de.wikipedia.org/wiki/Mars_(Planet), for which I reported this issue in February and was able to reproduce it just now).

Aklapper raised the priority of this task from Normal to High.Aug 17 2015, 1:35 PM

This comes up often enough that it warrants high priority though resources are unfortunately limited.

This bug is conflating a lot of separate issues. Just from the above we have (1) a problem processing a specific image file, (2) a problem with deeply nested lists, and (3) some strange bug with the <small> tag.

Rather than dup'ing all these "exit code 1" errors together, it would be helpful to try to separate out the causes and prioritize them. Deeply-nested lists are unlikely to be fixed, that's a TeX limitation. But I'm guessing that's not a contributor to a large number of pages. If it is, then the nests could possibly be truncated after a certain depth is reached.

My assumption is that image-related bugs cause the most practical issues; that's my priority at the moment, in what time I have available for OCG.

Unfortunately, without access to the logs, the issue is the error itself is not actually published is obviously the reason why this lot are all being grouped together. If I had access to the logs, I'd happily go through all the reports we have here and get through OTRS and file more specific bug reports for this. Of course, if there is a way for me to create this locally, let me know how and I'll do that

or you can pull errors from https://logstash.wikimedia.org if you're in the NDA LDAP group

Giving this a shot by searching for "exit code" in Logstash there are quite a few listed by type "mw-ocg-service". What info is useful / wanted for dedicated tasks? err.stack (stacktrace), something else?

A new case of this group. The current version of [[it:Grotte di Pertosa]] creates the same issue when just dowloading the page as a PDF (and, of course, if creating a book including this page). I copied the page on my Sandbox. When dowloading the page as a PDF, the same error is repeated. Then I removed (in Sandbox) the coordinates for latitude and longitude from the initial Template:Grotta. These coordinates automatically generate a map of Italy with a red bullet on the location matching these coordinates. After this removal, PDF is created without errors.

Micha awarded a token.Jan 28 2016, 2:06 PM
Micha added a subscriber: Micha.

I have tried to create pdf for this page: https://meta.wikimedia.org/wiki/Grants:APG/Proposals/2015-2016_round1/Wikimedia_Ukraine/Proposal_form/Detailed_budget

I have received two useless pages. One with the title of the page. And the other one with this:

2
1 TEXT AND IMAGE SOURCES, CONTRIBUTORS, AND LICENSES
1 Text and image sources, contributors, and licenses
1.1 Text

Grants:APG/Proposals/2015-2016 round1/Wikimedia Ukraine/Proposal form/Detailed budget
Source:
https://meta.wikimedia.
org/wiki/Grants%3AAPG/Proposals/2015-2016_round1/Wikimedia_Ukraine/Proposal_form/Detailed_budget?oldid=15333049
Contributors:
Mike Peel, Antanana and FuzzyBot
1.2 Images
1.3 Content license

Creative Commons Attribution-Share Alike 3.0

https://meta.wikimedia.org/w/index.php?title=Special:Book&bookcmd=download&collection_id=19a7123ecd4d8373078467499cfe339cc1fcbb88&writer=rdf2latex&return_to=Grants%3AAPG%2FProposals%2F2015-2016+round1%2FWikimedia+Ukraine%2FProposal+form%2FDetailed+budget

Nemo_bis removed a subscriber: Nemo_bis.May 14 2016, 9:31 AM

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.

Krinkle closed this task as Resolved.Sep 6 2018, 1:19 AM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

The example in the task description seems to work as expected ("Download as PDF" from https://de.wikipedia.org/wiki/Italien?uselang=en).

Krinkle removed Krinkle as the assignee of this task.Sep 6 2018, 1:19 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:11 PM